function [] = buttonCalculateOffsets(~, ~)
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here

global artoaWorkspace artoaDataInput;

%% Initialize required variables
soundsources = artoaDataInput.soundsources;
satData = artoaWorkspace.satData;

%% Calculate offsets

[
    artoaWorkspace.editOffsets.A, ...
    artoaWorkspace.editOffsets.B, ...
    artoaWorkspace.editOffsets.X, ...
    ~ ...
] = artoa.offsets.solve( ...
    artoaDataInput.rfb, ...
    soundsources, ...
    artoaWorkspace.trackParameter, ...
    artoaWorkspace.toaData, ...
    satData, ...
    artoaWorkspace.temperature(artoaWorkspace.statusTemperature == 1), ...
    artoaWorkspace.pressure(artoaWorkspace.statusPressure == 1), ...
    artoa.data.getMember(artoaDataInput, {'ini', 'leapseconds'}), ...
    artoaWorkspace.editOffsets ...
);

%% Store offsets in table
artoa.controller.edit.offsets.saveOptimumToWorkspace();

%% Update GUI
artoa.controller.edit.offsets.updateGui();

%% Recalculate
artoa.controller.edit.recalculateToaGpsAndPlot();


end

