function [] = open(~, ~)
%OPEN Initializes the offset details gui.
%   Detailed explanation goes here

global artoaGui artoaWorkspace;

%% Check if the gui is already opened

if isfield(artoaGui.figures, 'editOffsets')
    figure(artoaGui.figures.editOffsets);
    return
end

%% Setup callbacks

callbacks = struct();
callbacks.tableSoundsourceOffsetsEdit = @artoa.controller.edit.offsets.tableSoundsourceOffsetsEdit;
callbacks.buttonCalculateOffsets = @artoa.controller.edit.offsets.buttonCalculateOffsets;
callbacks.checkboxUseOffsets = @artoa.controller.edit.offsets.checkboxUseOffsets;
callbacks.checkboxFixedSoundspeed = @artoa.controller.edit.offsets.checkboxFixedSoundspeed;
callbacks.inputSoundspeed = @artoa.controller.edit.offsets.inputSoundspeed;
callbacks.buttonCopyFromOptimum = @artoa.controller.edit.offsets.buttonCopyFromOptimum;
callbacks.buttonCopyFromMeasured = @artoa.controller.edit.offsets.buttonCopyFromMeasured;
callbacks.buttonUndoLastCopy = @artoa.controller.edit.offsets.buttonUndoLastCopy;


%% Open the gui
artoa.gui.edit.offsets(callbacks);

if artoa.data.hasMember(artoaWorkspace, {'editOffsets'})
    artoa.controller.edit.offsets.updateGui();
    return;
end

%% Create workspace variables
artoaWorkspace.editOffsets = struct();
artoaWorkspace.editOffsets.useOffsets = false;
artoaWorkspace.editOffsets.useFixedSoundspeed = false;
artoaWorkspace.editOffsets.fixedSoundspeed = 0;
artoa.controller.edit.offsets.updateWorkspaceOffsetsTable();

%% Update gui
artoa.controller.edit.offsets.updateGui();

end

