function [] = saveOptimumToWorkspace()
%STOREOPTIMUMINTABLE Summary of this function goes here
%   Detailed explanation goes here

global artoaWorkspace;

%% Get required variables
X = artoa.data.getMember(artoaWorkspace, {'editOffsets', 'X'}, false);
if ~istable(X) && ~X
    return;
end

offsets = artoa.data.getMember(artoaWorkspace, {'editOffsets', 'offsets'}, false);
if ~istable(offsets) && ~offsets
    return;
end

%% Initialize constants
optimumColumnOffsetName = 'OptimumTotalOffset';
optimumColumnDriftName = 'OptimumTotalDrift';

%% Store values
varNames = X.Properties.RowNames;
for i = 1:length(varNames)
    % check if it is soundspeed
    if strcmp(varNames{i}, 'Distances')
        artoaWorkspace.editOffsets.optimumSoundspeed = X{varNames{i}, 'Value'};
        continue;
    end
    % check if it is offset
    index = strfind(varNames{i}, 'Offset');
    if ~isempty(index)
        tmpName = varNames{i}(1:index - 1);
        offsets{tmpName, optimumColumnOffsetName} = X{varNames{i}, 'Value'};
        clear tmpName;
    else
        offsets{varNames{i}, optimumColumnDriftName} = X{varNames{i}, 'Value'};
    end
    
end

artoaWorkspace.editOffsets.offsets = offsets;

end

