function [] = updateGui()
%UPDATEGUI Summary of this function goes here
%   Detailed explanation goes here

global artoaGui artoaWorkspace;

if ~isfield(artoaWorkspace, 'editOffsets') ...
        || ~isfield(artoaGui.figures, 'editOffsets') ...
        || ~isvalid(artoaGui.figures.editOffsets)
    return;
end

fields = artoaWorkspace.editOffsets;
fieldNames = fieldnames(fields);

for i = 1:length(fieldNames)
    currentValue = fields.(fieldNames{i});
    switch fieldNames{i}
        case 'useOffsets'
            artoaGui.editOffsets.checkboxUseOffsets.Value = currentValue;
        case 'useFixedSoundspeed'
            artoaGui.editOffsets.checkboxFixedSoundspeed.Value = currentValue;
        case 'fixedSoundspeed'
            artoaGui.editOffsets.inputSoundspeed.String = num2str(currentValue);
        case 'offsets'
            artoaGui.editOffsets.tableSoundsourceOffsets.Data = table2cell( ...
                currentValue ...
            );
            artoaGui.editOffsets.tableSoundsourceOffsets.RowName = currentValue.Properties.RowNames;
            artoaGui.editOffsets.tableSoundsourceOffsets.ColumnName = currentValue.Properties.VariableNames;
    end
end

%% Update soundspeed field
if artoaWorkspace.editOffsets.useFixedSoundspeed
    artoaGui.editOffsets.textOptimumSoundspeedValue.String = num2str(artoaWorkspace.editOffsets.fixedSoundspeed);
elseif artoa.data.hasMember(artoaWorkspace, {'editOffsets', 'optimumSoundspeed'})
    artoaGui.editOffsets.textOptimumSoundspeedValue.String = num2str(artoaWorkspace.editOffsets.optimumSoundspeed);
end

end

