function [] = applyStatusToAllPoints(pStatus)
%APPLYSTATUSTOALLPOINTS Applies the given status to all points.
%   Applies given status to all points.
%
%   Parameters:
%       pStatusCode (int)    The status code that will be applied to the
%                            selected data.

global artoaWorkspace artoaGui;

%% Set status
artoaWorkspace.statusPressure(:) = pStatus;

%% Update gui
artoa.controller.edit.updateAvailablePlots();
artoa.controller.updateMenuButtons();

[artoaGui.editPressure, artoaWorkspace.editPressure] = ...
    artoa.controller.edit.clearSelection(artoaGui.editPressure, artoaWorkspace.editPressure);
end

