function [] = applyStatusToAllPointsExceptDeleted(pStatus)
%APPLYSTATUSTOALLPOINTSEXCEPTDELETED Selects all points that are not deleted.
%   Applies status 1 to all points that are not deleted.
%
%   Parameters:
%       pStatusCode (int)    The status code that will be applied to the
%                            selected data.

global artoaWorkspace artoaGui;

%% Set selection
artoaWorkspace.editPressure.selectedPoints = (artoaWorkspace.statusPressure ~= 2);

%% Set status
artoaWorkspace.statusPressure(artoaWorkspace.editPressure.selectedPoints) = pStatus;

%% Update gui
artoa.controller.edit.updateAvailablePlots();
artoa.controller.updateMenuButtons();

[artoaGui.editPressure, artoaWorkspace.editPressure] = ...
    artoa.controller.edit.clearSelection(artoaGui.editPressure, artoaWorkspace.editPressure);


end

