function [] = applyStatusToAllPointsExceptDeleted(pStatus)
%APPLYSTATUSTOALLPOINTSEXCEPTDELETED Selects all points that are not deleted.
%   Applies status 1 to all points that are not deleted.
%
%   Parameters:
%       pStatusCode (int)    The status code that will be applied to the
%                            selected data.

global artoaWorkspace artoaGui;

%% Set selection
artoaWorkspace.editTemperature.selectedPoints = (artoaWorkspace.statusTemperature ~= 2);

%% Set status
artoaWorkspace.statusTemperature(artoaWorkspace.editTemperature.selectedPoints) = pStatus;

%% Update gui
artoa.controller.edit.updateAvailablePlots();
artoa.controller.updateMenuButtons();

[artoaGui.editTemperature, artoaWorkspace.editTemperature] = ...
    artoa.controller.edit.clearSelection(artoaGui.editTemperature, artoaWorkspace.editTemperature);
end

