function [] = applyStatusToAllVisible(pStatusCode)
%APPLYSTATUSTOALLVISIBLE Applies the given status code to the visible points.
%   Applies the given status to the workspace variable.
%
%   Parameters:
%       pStatusCode (int)    The status code that will be applied to the
%                            selected data.
%

global artoaWorkspace artoaGui;

%% Get all visible points
x_boundary = artoaGui.figures.editTemperature.CurrentAxes.XLim;
y_boundary = artoaGui.figures.editTemperature.CurrentAxes.YLim;

selection = inpolygon( ...
    artoaWorkspace.rafosDate, ...
    artoaWorkspace.temperature, ...
    [x_boundary(1) x_boundary(2) x_boundary(2) x_boundary(1) x_boundary(1)], ...
    [y_boundary(1) y_boundary(1) y_boundary(2) y_boundary(2) y_boundary(1)] ...
);

%% Set status
artoaWorkspace.statusTemperature(selection) = pStatusCode;

%% Update gui
artoa.controller.edit.updateAvailablePlots();
artoa.controller.updateMenuButtons();

end

