function [ ] = close(pSource, ~)
%CLOSE Cleans up all variables that are used by the editTemperature GUI.
%   Changes to the data is not being modified.

global artoaGui artoaWorkspace;

%% Setup variables
figureName = 'editTemperature';

%% Close the figure
if nargin > 1 && isvalid(pSource)
    delete(pSource);
elseif isfield(artoaGui.figures, figureName) && isvalid(artoaGui.figures.(figureName))
    delete(artoaGui.figures.(figureName));
end

%% Clean up variables

if artoa.data.hasMember(artoaGui, {figureName})
    artoaGui = rmfield(artoaGui, figureName);
end

if artoa.data.hasMember(artoaGui, {'figures', figureName})
    artoaGui.figures = rmfield(artoaGui.figures, figureName);
end

if artoa.data.hasMember(artoaWorkspace, {figureName})
    artoaWorkspace = rmfield(artoaWorkspace, figureName);
end

end