function [] = pickPoint()
%PICKPOINT Lets the user pick a point in the plot.
%   Selection can be aborted by using the right mouse button.

global artoaGui artoaWorkspace;

%% Check if polygon is already selected

artoa.controller.edit.temperature.dropSelection();

%% Select point by mouse

[dx, dy, button] = ginput(1);

% find closest match
% calculate distance
distance = sqrt((artoaWorkspace.rafosDate - dx).^2 + (artoaWorkspace.temperature - dy).^2);
[~, index] = min(distance);
x_closest = artoaWorkspace.rafosDate(index);
y_closest = artoaWorkspace.temperature(index);

if button ~= 1
    return;
end

hold on;
artoaGui.editTemperature.userSelection = scatter(x_closest, y_closest, artoaWorkspace.defaults.pickPointMarkerSize, [1 1 1]);
hold off;
artoaWorkspace.editTemperature.userSelection = index;

end

