function [] = applySoundSourceToSelectedPoints()
%APPLYSOUNDSOURCETOSELECTEDPOINTS Summary of this function goes here
%   Detailed explanation goes here

global artoaWorkspace;

%% Check if selection exists

if ~artoa.controller.edit.dataPointsSelected(artoaWorkspace.editTimeOfArrival)
    warndlg('You need to select data by using the "Pick" button first!', 'No data selected');
    return;
end

%% Check if soundsources are loaded
if ~artoa.controller.soundSourcesLoaded()
    warndlg('You need to load a soundsource file first!', 'No sound sources loaded');
    return;
end

%% Let the user select the sound source
soundsources = fieldnames(artoaWorkspace.filteredSoundsources);

[index, success] = listdlg( ...
    'PromptString', 'Soundsources:',...
    'SelectionMode', 'single',...
    'ListString', soundsources ...
);

if ~success
    return;
end

%% Store 

% update sound source of selected points
artoaWorkspace.toaData.soundSource( ...
    artoaWorkspace.editTimeOfArrival.userSelection ...
) = soundsources(index);


%% Update status to selected
artoa.controller.edit.timeOfArrival.applyStatusToSelectedPoints(1);

%% Update duplicate toa table
artoa.controller.edit.timeOfArrival.updateDuplicateToaTable();

%% Update plots
artoa.controller.edit.updateAvailablePlots();

%% Update offsets table and recalculate TOAs
artoa.controller.edit.offsets.tableSoundsourceOffsetsEdit();

%% Update track parameter window if available
artoa.controller.track.parameter.updateGui();


end

