function [] = createSoundsourceColorsPanel()
%CREATESOUNDSOURCECOLORSPANEL Summary of this function goes here
%   Detailed explanation goes here


global artoaGui artoaWorkspace;

width = .14;

artoaGui.editTimeOfArrival.frameControlsSoundSourceColors = uipanel( ...
    'Parent', artoaGui.figures.editTimeOfArrival, ...
    'Title', 'Soundsource colors', ...
    'Units', 'normalized', ...
    'BackgroundColor', 'white', ...
    'Position', [.01 .65 width .25] ...
);

% add label and color for every sound source that is available
spaceTopAndBottom = .1;
height = .08;
leftItemOffset = 0;
rightItemOffset = 0;

artoaGui.editTimeOfArrival.labelSoundsourcesColors = struct();
soundsources = artoaWorkspace.filteredSoundsources;
fnames = fieldnames(soundsources);

isLeftItem = true;

for i = 1:length(fnames)
    colorIndex = artoa.soundsources.colorregister.getColorIndex(fnames{i}, artoaWorkspace.soundsourceColorRegister);
    if colorIndex == 0
        color = [0 0 0];
    else
        color = artoaWorkspace.soundsourceColors(colorIndex, :);
    end
    if isLeftItem
        offset = leftItemOffset;
        marginLeft = 0;
        leftItemOffset = leftItemOffset + height;
        isLeftItem = false;
    else
        offset = rightItemOffset;
        marginLeft = .5;
        rightItemOffset = rightItemOffset + height;
        isLeftItem = true;
    end
    artoaGui.editTimeOfArrival.labelSoundsourcesColors.(fnames{i}) = uicontrol( ...
        'Parent', artoaGui.editTimeOfArrival.frameControlsSoundSourceColors, ...
        'String', '', ...
        'Style', 'text', ...
        'FontSize', 8, ...
        'Units', 'normalized', ...
        'Position', [(marginLeft + .1) (1 - spaceTopAndBottom - offset) .1 height], ...
        'Background', color ...
    );
    artoaGui.editTimeOfArrival.labelSoundsourcesColors.([fnames{i} 'c']) = uicontrol( ...
        'Parent', artoaGui.editTimeOfArrival.frameControlsSoundSourceColors, ...
        'String', fnames{i}, ...
        'Style', 'text', ...
        'FontSize', 8, ...
        'Units', 'normalized', ...
        'Position', [(marginLeft + .25) (1 - spaceTopAndBottom - offset) .3 height], ...
        'Background', [1 1 1], ...
        'HorizontalAlignment', 'left' ...
    );
    
end

end

