function [] = open(~, ~)
%OPEN Initializes the time of arrival editing gui.

global artoaGui artoaWorkspace;

%% Check if the gui is already opened

if isfield(artoaGui.figures, 'editTimeOfArrival')
    figure(artoaGui.figures.editTimeOfArrival);
    return
end


%% Create workspace variables
artoaWorkspace.editTimeOfArrival = struct();

%% Calculate GPS TOAs
artoa.controller.edit.timeOfArrival.calculateGpsToas();

%% Open the gui
artoa.gui.edit.timeOfArrival();

%% Update duplicate toa table
artoa.controller.edit.timeOfArrival.updateDuplicateToaTable();

%% Open track parameter window
artoa.controller.track.parameter.open();


end

