function [] = pickPoint()
%PICKPOINT Lets the user pick a point in the plot.
%   Selection can be aborted by using the right mouse button.

global artoaGui artoaWorkspace;

%% Check if polygon is already selected

artoa.controller.edit.timeOfArrival.dropSelection();

%% Initialize variable
artoaGui.editTimeOfArrival.userSelection = {};
artoaWorkspace.editTimeOfArrival.userSelection = [];

%% Select point by mouse

[dx, dy, button] = ginput(1);

while button == 1
    [x_closest, y_closest, index] = findClosestMatch(dx, dy);

    hold on;
    artoaGui.editTimeOfArrival.userSelection{end + 1} = scatter(x_closest, y_closest, artoaWorkspace.defaults.pickPointMarkerSize, [0 0 0]);
    hold off;
    artoaWorkspace.editTimeOfArrival.userSelection = [ ...
        artoaWorkspace.editTimeOfArrival.userSelection, ...
        index
    ];
    [dx, dy, button] = ginput(1);
end

    function [x_closest, y_closest, index] = findClosestMatch(dx, dy)
        % find closest match
        % calculate distance
        distance = sqrt((artoaWorkspace.toaData.toaDate - dx).^2 + (artoaWorkspace.toaData.toa - dy).^2);
        [~, index] = min(distance);
        x_closest = artoaWorkspace.toaData.toaDate(index);
        y_closest = artoaWorkspace.toaData.toa(index);
    end

end

