function [] = plotAppliedSoundsources()
%PLOTAPPLIEDSOUNDSOURCES Summary of this function goes here
%   Detailed explanation goes here

global artoaWorkspace artoaGui artoaDataInput;

%% Initialize required variables
x = [];
y = [];
c = [];

%% Plot sound sources


fnames = fieldnames(artoaWorkspace.filteredSoundsources);
for i = 1:length(fnames)
    % estimate the color to be used
    if artoa.soundsources.hasAppliedToa(fnames{i}, artoaWorkspace.toaData.soundSource)
        [colorIndex, artoaWorkspace.soundsourceColorRegister] = ...
            artoa.soundsources.colorregister.add(fnames{i}, artoaWorkspace.soundsourceColorRegister);
        soundsourceColor = artoaWorkspace.soundsourceColors(colorIndex, :);
    else
        soundsourceColor = [1 1 1];
    end
    selection = logical(artoaWorkspace.toaData.status == 1) ...
        & logical(strcmp(artoaWorkspace.toaData.soundSource, fnames{i}));
    x = [x; artoaWorkspace.toaData.toaDate(selection)];
    y = [y; artoaWorkspace.toaData.toa(selection)];
    c = [c; repmat(soundsourceColor, length(artoaWorkspace.toaData.toaDate(selection)), 1)];
end

%% If the plot exists, just update the values

if isfield(artoaGui.editTimeOfArrival, 'scatterAppliedSoundsources') ...
        && isvalid(artoaGui.editTimeOfArrival.scatterAppliedSoundsources)
    artoaGui.editTimeOfArrival.scatterAppliedSoundsources.XData = x;
    artoaGui.editTimeOfArrival.scatterAppliedSoundsources.YData = y;
    artoaGui.editTimeOfArrival.scatterAppliedSoundsources.CData = c;
    return;
end

artoaGui.editTimeOfArrival.axesAppliedSoundsources = axes(artoaGui.figures.editTimeOfArrival);

hold(artoaGui.editTimeOfArrival.axesAppliedSoundsources, 'on');

artoaGui.editTimeOfArrival.scatterAppliedSoundsources = scatter( ...
    artoaGui.editTimeOfArrival.axesAppliedSoundsources, ...
    x, y, artoa.data.getMember(artoaDataInput, {'ini', 'view', 'toapointsize'}, 36), c, 'filled' ...
);

hold(artoaGui.editTimeOfArrival.axesAppliedSoundsources, 'off');

end

