function [] = removeSoundSourceFromSelectedPoints()
%REMOVESOUNDSOURCEFROMSELECTEDPOINTS Removes the previously picked points from the soundsource.

global artoaWorkspace;

%% Check if selection exists

if ~artoa.controller.edit.dataPointsSelected(artoaWorkspace.editTimeOfArrival)
    warndlg('You need to select data by using the "Pick" button first!', 'No data selected');
    return;
end

%% Check if soundsources are loaded
if ~artoa.controller.soundSourcesLoaded()
    warndlg('You need to load a soundsource file first!', 'No sound sources loaded');
    return;
end

%% Remove the connection

% update sound source of selected points
artoaWorkspace.toaData.soundSource( ...
    artoaWorkspace.editTimeOfArrival.userSelection ...
) = {''};

%% Update colorregister
artoaWorkspace.soundsourceColorRegister = artoa.soundsources.colorregister.updateColorRegister( ...
    artoaWorkspace.soundsourceColorRegister, ...
    artoaWorkspace.toaData.soundSource ...
);

%% Update status to selected
artoa.controller.edit.timeOfArrival.applyStatusToSelectedPoints(0);

%% Update duplicate toa table
artoa.controller.edit.timeOfArrival.updateDuplicateToaTable();

%% Update plot
artoa.controller.edit.updateAvailablePlots();
%artoa.controller.edit.timeOfArrival.plot();

%% Update offsets table and recalculate TOAs
artoa.controller.edit.offsets.tableSoundsourceOffsetsEdit();

%% Update track parameter window if available
artoa.controller.track.parameter.updateGui();

end

