function [] = resetShiftToaSelection()
%SHIFTTOA Summary of this function goes here
%   Detailed explanation goes here

global artoaGui artoaWorkspace;


%% Select polygon

if ~artoa.controller.edit.dataPointsSelected(artoaWorkspace.editTimeOfArrival)
    warndlg('You need to select data by using the "Pick" button first!', 'No data selected');
    return;
end

%% Ask for reset
if strcmp(questdlg('Remove shift from selection?', 'Confirmation', 'Yes', 'Cancel', 'Cancel'), 'Cancel')
    return;
end

%% Subtract empirical shift
artoaWorkspace.toaData.toa(artoaWorkspace.editTimeOfArrival.userSelection) = ...
    artoaWorkspace.toaData.toa(artoaWorkspace.editTimeOfArrival.userSelection) ...
    - artoaWorkspace.toaData.empiricalShift(artoaWorkspace.editTimeOfArrival.userSelection);
%% Reset empirical shift
artoaWorkspace.toaData.empiricalShift(artoaWorkspace.editTimeOfArrival.userSelection) = 0;
%% Clear selection
[artoaGui.editTimeOfArrival, artoaWorkspace.editTimeOfArrival] = ...
    artoa.controller.edit.clearSelection(artoaGui.editTimeOfArrival, artoaWorkspace.editTimeOfArrival);
%% Update plots
artoa.controller.edit.updateAvailablePlots();


end

