function [] = shiftToa()
%SHIFTTOA Summary of this function goes here
%   Detailed explanation goes here


global artoaGui artoaWorkspace;

%% Select polygon

if ~artoa.controller.edit.dataPointsSelected(artoaWorkspace.editTimeOfArrival)
    warndlg('You need to select data by using the "Pick" button first!', 'No data selected');
    return;
end

%% Ask for shift value

answer = inputdlg({'Enter shift value:'}, 'Shift TOAs', [1 35], {'0'});
if isempty(answer)
    return
end

answer = str2double(answer{1});

if isnan(answer)
    return;
end

% track empirical shift to be able to reset it
artoaWorkspace.toaData.empiricalShift(artoaWorkspace.editTimeOfArrival.userSelection) = ...
    artoaWorkspace.toaData.empiricalShift(artoaWorkspace.editTimeOfArrival.userSelection) ...
    + answer;

% add shift to toa
artoaWorkspace.toaData.toa(artoaWorkspace.editTimeOfArrival.userSelection) = ...
    artoaWorkspace.toaData.toa(artoaWorkspace.editTimeOfArrival.userSelection) + answer;

[artoaGui.editTimeOfArrival, artoaWorkspace.editTimeOfArrival] = ...
    artoa.controller.edit.clearSelection(artoaGui.editTimeOfArrival, artoaWorkspace.editTimeOfArrival);

artoa.controller.edit.updateAvailablePlots();

end

