function [] = updateLowerColormapBoundary(pFromInput)
%UPDATEUPPERCOLORMAPBOUNDARY Summary of this function goes here
%   Detailed explanation goes here


global artoaGui;

%% When user changed the values of input fields
if nargin == 1 && pFromInput
    upper = str2double(artoaGui.editTimeOfArrival.inputUpperBoundary.String);
    if isnan(upper)
        upper = 255;
    end
    lower = str2double(artoaGui.editTimeOfArrival.inputLowerBoundary.String);
    if isnan(lower)
        lower = 0;
    end
    % transfer values to slider
    artoaGui.editTimeOfArrival.sliderLowerBoundary.Value = lower;
    artoaGui.editTimeOfArrival.sliderUpperBoundary.Value = upper;
    clear lower upper;
end

%% Get the values from the slider
lower = floor(artoaGui.editTimeOfArrival.sliderLowerBoundary.Value);
upper = floor(artoaGui.editTimeOfArrival.sliderUpperBoundary.Value);

%% Check if they overlap
if (lower >= upper)
    upper = lower + 1;
end

%% Update the slider values
artoaGui.editTimeOfArrival.sliderLowerBoundary.Value = lower;
artoaGui.editTimeOfArrival.sliderUpperBoundary.Value = upper;

%% Update input fields
artoaGui.editTimeOfArrival.inputLowerBoundary.String = num2str(lower);
artoaGui.editTimeOfArrival.inputUpperBoundary.String = num2str(upper);

%% Update the color limit
artoaGui.editTimeOfArrival.axesScatterTimeOfArrival.CLim = ...
    [ ...
        artoaGui.editTimeOfArrival.sliderLowerBoundary.Value, ...
        artoaGui.editTimeOfArrival.sliderUpperBoundary.Value ...
    ];

%% Update histogram
artoa.controller.edit.timeOfArrival.plotToaHistogram();

end

