function [] = loadSoundSourceFile(~, ~)
%LOADSOUNDSOURCEFILE Creates a file selection dialog and reads the file into memory.

global artoaGui artoaDataInput;

%% Initialize variables
artoaDataInput.soundsources = false;

%% Get required variables
folder = artoa.data.getMember(artoaDataInput, {'ini', 'directory', 'soundsource'}, pwd());
filter = artoa.data.getMember(artoaDataInput, {'ini', 'filemask', 'soundsource'}, '*.soso');

%% Create file dialog and filename
[file, path] = uigetfile(fullfile(folder, filter));
filepath = fullfile(path, file);

%% Check if dialog has been aborted
if file == 0
    return;
end

%% Check if file exists
if ~isfile(filepath)
    error([mfilename ': Selected file ' filepath ' is not a file! Please try again!']);
end

%% Load file into memory
artoaDataInput.soundsources = artoa.load.soundsources(filepath);

%% Update menu buttons
if ~islogical(artoaDataInput.soundsources)
    artoaGui.main.menus.edit.Enable = 'on';
end

end

