function [] = saveRfc(~, ~)
%SAVERFC Summary of this function goes here
%   Detailed explanation goes here

global artoaWorkspace artoaDataInput;

%% Get selected trajectory
trajectoryIndex = artoaWorkspace.trajectoryOutput.tableGeneratedTracksSelectedRow;

trajectory = artoaWorkspace.trajectoryOutput.trajectories{trajectoryIndex};

%% Prepare data
lineCount = length(trajectory.latitude);
data = [];
data(:, 1) = repmat(999, lineCount, 1);
data(:, 2) = 1:lineCount;
data(:, 3) = trajectory.date;
data(:, 4) = trajectory.temperature;
data(:, 5) = trajectory.pressure;
data(:, 6) = trajectory.latitude;
data(:, 7) = trajectory.longitude;
data(:, 8) = trajectory.velocities.horizontalLongitude * 100;
data(:, 9) = trajectory.velocities.horizontalLatitude * 100;
data(:, 10) = NaN(size(trajectory.date));
[~, indicesDates, indices] = intersect(trajectory.date, trajectory.velocities.verticalDates);
data(indicesDates, 10) = trajectory.velocities.vertical(indices) * 1000;

%% Get required variables
folder = artoa.data.getMember(artoaDataInput, {'ini', 'directory', 'rfc'}, pwd());
filter = artoa.data.getMember(artoaDataInput, {'ini', 'filemask', 'rfc'}, '*.rfc');

%% Ask for filename
[filename, pathname] = uiputfile(fullfile(folder, filter));

filepath = fullfile(pathname, filename);

artoa.save.rfc(filepath, artoaWorkspace.float, data, trajectory);


end

