function [] = open(~, ~)
%OPEN Initializes the main gui.
%   Detailed explanation goes here

global artoaGui;

%% Check if the gui is already opened

if isfield(artoaGui.figures, 'main')
    figure(artoaGui.figures.main);
    return
end

%% Prepare callbacks for main gui
callbacks = struct();
callbacks.CloseRequestFcn = @artoa.controller.quit;
callbacks.quit = @artoa.controller.quit;
callbacks.WindowButtonDownFcn = @artoa.controller.main.windowButtonDownFcn;
callbacks.loadRfb = @artoa.controller.file.loadRfb;
callbacks.loadInterim = @artoa.controller.file.loadInterim;
callbacks.loadSoundsourceFile = @artoa.controller.file.loadSoundSourceFile;
callbacks.saveRfc = @artoa.controller.file.saveRfc;
callbacks.saveInterim = @artoa.controller.file.saveInterim;
callbacks.loadArtoaIni = @artoa.controller.file.loadArtoaIni;
callbacks.openEditTemperature = @artoa.controller.edit.temperature.open;
callbacks.openEditPressure = @artoa.controller.edit.pressure.open;
callbacks.openEditTimeOfArrival = @artoa.controller.edit.timeOfArrival.open;
callbacks.openEditOffsets = @artoa.controller.edit.offsets.open;
callbacks.openTrackParameter = @artoa.controller.track.parameter.open;
callbacks.openTrackTrajectoryOutput = @artoa.controller.track.trajectoryOutput.open;
callbacks.switchHideDeletedDataPoints = @artoa.controller.switchHideDeletedPoints;

%% Start artoa4
artoa.gui.main(callbacks);


end

