function [] = addSoundsourceCombinationAbove(~, ~)
%ADDSOUNDSOURCECOMBINATIONABOVE Summary of this function goes here
%   Detailed explanation goes here


global artoaWorkspace;

%% Get selection
selectedRow = artoaWorkspace.trackParameter.selectedSoundsourceCombinationRow;
%% Get current data
combinations = artoaWorkspace.trackParameter.soundsourceCombinations;

%% Add above the selected
combinations(selectedRow + 1:end + 1, :) = combinations(selectedRow:end, :);
combinations(selectedRow, :) = artoa.controller.track.parameter.getDefaultCombinationCell();

if selectedRow == 1
    artoaWorkspace.trackParameter.soundsourceCombinations = combinations;
    artoa.controller.track.parameter.updateGui();
end

%% Insert values
try
    combinations{selectedRow, 'combinationBegin'} = combinations{selectedRow - 1, 'combinationEnd'} + 1;
    if combinations{selectedRow + 1, 'combinationBegin'} - 1 > combinations{selectedRow, 'combinationBegin'}
        combinations{selectedRow, 'combinationEnd'} = combinations{selectedRow + 1, 'combinationBegin'} - 1;
    end
    % get last known position
    isNotNan = ~isnan(artoaWorkspace.satData.lat_sat) & ~isnan(artoaWorkspace.satData.lon_sat);
    knownPositions = [artoaWorkspace.satData.lat_sat(isNotNan), artoaWorkspace.satData.lon_sat(isNotNan)];
    if ~(size(knownPositions, 1) == 0)
        combinations(selectedRow, 'referencePosition') = {[num2str(knownPositions(end, 1)) ' ' num2str(knownPositions(end, 2))]};
    end
catch
end

%% Update workspace
artoaWorkspace.trackParameter.soundsourceCombinations = combinations;

%% Update gui
artoa.controller.track.parameter.updateGui();


end

