function [] = updateGui()
%UPDATEGUI Summary of this function goes here
%   Detailed explanation goes here

global artoaGui artoaWorkspace;

if ~isfield(artoaWorkspace, 'trackParameter') ...
        || ~isfield(artoaGui.figures, 'trackParameter') ...
        || ~isvalid(artoaGui.figures.trackParameter)
    return;
end

fields = artoaWorkspace.trackParameter;
fieldNames = fieldnames(fields);

for i = 1:length(fieldNames)
    currentValue = fields.(fieldNames{i});
    switch fieldNames{i}
        case 'dopplerCorrection'
            artoaGui.trackParameter.checkboxDopplerCorrection.Value = currentValue;
        case 'plotResiduals'
            artoaGui.trackParameter.checkboxPlotResiduals.Value = currentValue;
        case 'trackingMethodValue'
            artoaGui.trackParameter.comboboxTrackingMethod.Value = currentValue;
        case 'interpolationMethodValue'
            artoaGui.trackParameter.comboboxInterpolationMethod.Value = currentValue;
        case 'soundspeedMethodValue'
            artoaGui.trackParameter.comboboxSoundspeedMethod.Value = currentValue;
        case 'outputInterpolationInterval'
            artoaGui.trackParameter.inputOutputInterpolationInterval.String = currentValue;
        case 'gapSize'
            artoaGui.trackParameter.inputGapSize.String = currentValue;
        case 'soundsourceCombinations'
            artoaGui.trackParameter.tableSoundSourceCombinations.Data = table2cell(currentValue);
    end
end

end

