function [success, message] = validateCombinationsInput(pCombinationsTable)
%VALIDATECOMBINATIONSINPUT Summary of this function goes here
%   Detailed explanation goes here

success = false;
message = 'Unknown error';

%% Validate all columns
if any(isnan(pCombinationsTable.combinationBegin))
    message = 'The "Begin" column contains an invalid value!';
    return;
end

if any(isnan(pCombinationsTable.combinationEnd))
    message = 'The "End" column contains an invalid value!';
    return;
end

if any(strcmp(pCombinationsTable.soundsources, ''))
    message = 'The "Sound Sources" column contains an invalid value!';
    return;
end

if any(isnan(pCombinationsTable.soundspeed1)) ...
        || any(isnan(pCombinationsTable.soundspeed2)) ...
        || any(isnan(pCombinationsTable.soundspeed3))
    message = 'One of the soundspeeds contains an invalid value!';
    return;
end

success = true;

end

