function [soundSourcesAreLoaded] = soundSourcesLoaded()
%SOUNDSOURCESLOADED Checks if a sound source file has been loaded.
%   Returns true if sound sources are available.

global artoaDataInput;

%% Setup return variable
soundSourcesAreLoaded = false;

%% Check if required field is available
if ~isfield(artoaDataInput, 'soundsources') && ~isempty(artoaDataInput.soundsources)
    return;
end

%% Update return variables
soundSourcesAreLoaded = true;

end

