function [rafosJulianDay] = hms2rd(pHour, pMinute, pSecond)
%HMS2RD  Converts hours, minutes and seconds into rafos day.
%
%   Parameters:
%       pHour (int) The hour.
%       pMinute (int) The minute.
%       pSecond (int) The second.
%
%   Returns:
%       rafosJulianDay (double) The converted time.

%% Convert
hours = pHour * 60 * 60;
minutes = pMinute * 60;
seconds = pSecond;

dayInSeconds = 24 * 60 * 60;

rafosJulianDay = (hours + minutes + seconds) / dayInSeconds;

end