function [ddmmyyyy] = rafosJulianDay(pRafosJulianDay)
%RAFOSJULIANDAY Converts the given rafos julian day to DDMMYYYY.
%
%   Parameters:
%       pRafosJulianDay (double) The input time format.
%
%   Returns:
%       ddmmyyyy (matrix) The 1D vector, containing day month and year.

offset = 2451545;

convertedTime = artoa.vendor.greg_0h(pRafosJulianDay + offset);

ddmmyyyy = [convertedTime(:, 3) convertedTime(:, 2) convertedTime(:, 1)];

end

