function [drift] = byStartEndOffset(pDuration, pStartOffset, pEndOffset)
%BYSTARTEND Drift calculation by given duration and start and end offset.
%   Calculates the drift per duration unit in offset units.
%
%   Parameters:
%       pDuration (double):             The duration period.
%       pStartOffset (double):          The starting offset.
%       pEndOffset (double):            The end offset.
%
%   Returns:
%       drift (double):     The calculated drift.


totalOffset = pEndOffset - pStartOffset;

drift = totalOffset / pDuration;

end

