function [A] = filterCalculationTables(pA, pOffsets)
%FILTERCALCULATIONMATRICES Summary of this function goes here
%   Detailed explanation goes here

%% Initialize return variables
A = pA;

%% Initialize constants
driftColumnName = 'EmpiricalDrift';
offsetColumnName = 'EmpiricalOffset';
floatRowName = 'Float';
offsetSuffix = 'Offset';

%% Add offset column for every soundsource
tmpNames = A.Properties.VariableNames( ...
    ~strcmp(A.Properties.VariableNames, 'Distances') ...
);
for i = 1:length(tmpNames)
    if strcmp(tmpNames{i}, floatRowName)
        values = ones(size(A, 1), 1);
    else
        rowIndices = A{:, tmpNames{i}} > 0;
        values = zeros(size(A, 1), 1);
        values(rowIndices) = 1;
    end
    A = addvars( ...
        A, ...
        values, ...
        'Before', tmpNames{i}, ...
        'NewVariableNames', [tmpNames{i} offsetSuffix] ...
    );
end
clear tmpNames;

%% Process soundsources and float
varNames = pOffsets.Properties.RowNames;

for i = 1:length(varNames)
    currentName = varNames{i};
    % remove offset column
    if ~isnan(pOffsets{currentName, offsetColumnName})
        A.([currentName offsetSuffix]) = [];
    end
    % remove drift column
    if ~isnan(pOffsets{currentName, driftColumnName})
        A.(currentName) = [];
    end
end

%% Remove variables that contain only zeros
varNames = A.Properties.VariableNames;
for i = 1:length(varNames)
    if all(A.(varNames{i}) == 0)
        A.(varNames{i}) = [];
    end
end

end

